### Class

# GUsb DeviceList

#### Description

    class GUsb.DeviceList : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### g_usb_device_list_new

Creates a new device list.

since: 0.1.0

#### Instance methods

###### g_usb_device_list_coldplug

This function does nothing.

since: 0.1.0

###### g_usb_device_list_find_by_bus_address

Finds a device based on its bus and address values.

since: 0.1.0

###### g_usb_device_list_find_by_vid_pid

Finds a device based on its bus and address values.

since: 0.1.0

###### g_usb_device_list_get_devices

No description available.

since: 0.1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GUsb.DeviceList:context

No description available.

#### Signals

###### GUsb.DeviceList::device-added

This signal is emitted when a USB device is added.

###### GUsb.DeviceList::device-removed

This signal is emitted when a USB device is removed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUsbDeviceListClass {
      GObjectClass parent_class;
      void (* device_added) (
        GUsbDeviceList* self,
        GUsbDevice* device
      );
      void (* device_removed) (
        GUsbDeviceList* self,
        GUsbDevice* device
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`device_added: void (* device_added) ( GUsbDeviceList* self, GUsbDevice* device )`

  No description available.

`device_removed: void (* device_removed) ( GUsbDeviceList* self, GUsbDevice* device )`

  No description available.

#### Virtual methods

###### GUsb.DeviceListClass.device_added

No description available.

###### GUsb.DeviceListClass.device_removed

No description available.